path: /build/build/nvidia-kernel-modules-kernel-5.15-535.86.05+16.package.tar.zst
dependencies: []
compilespec:
  steps:
  - eval 'mkdir -p /etc/portage/patches/x11-drivers/nvidia-kernel-modules/ || true'
    && cp nvidia-drivers-gpl-pfn_valid.patch /etc/portage/patches/x11-drivers/nvidia-kernel-modules/
    && sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild -vf
    && rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    -vf && anise i --sync-repos -y nvidia-drivers && anise upgrade -y && anise cleanup
    && emerge =x11-drivers/nvidia-kernel-modules-535.86.05 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.86.05
  - |
    eval 'rm -rf /nvidia-kernel-modules || true' && mkdir /nvidia-kernel-modules && \
    luet-portage --dir /nvidia-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-kernel-modules/lib/modules/5.15.160-macaroni/video/*.ko ; do
    zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:6e9c4fbf37449b055be7c3d8fa433a1a72562e592f60dbc4129abf29e4a149c2
  package:
    name: nvidia-kernel-modules
    version: 535.86.05+16
    category: kernel-5.15
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.15
    provides:
    - name: nvidia-kernel-modules
      version: 535.86.05
      category: x11-drivers-5.15
    annotations:
      kernel_module: true
    buildtimestamp: 2024-05-31 23:40:41.845706185 +0000 UTC m=+616.204596521
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.15.160
      original.package.version: 535.86.05
    treedir: /build/packages
  package_dir: /nvidia-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 31d70f9abf0e2cc6a40531604e91f59446a3d3fbedced8720d68dbab45ac7847
compressiontype: zstd
files:
- lib/modules/5.15.160-macaroni/video/nvidia-drm.ko.zst
- lib/modules/5.15.160-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/5.15.160-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/5.15.160-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-kernel-modules
  version: 535.86.05+16
  category: kernel-5.15
  requires:
  - name: nvidia-drivers-common
    version: '>=0'
    category: kernel
  provides:
  - name: nvidia-kernel-modules
    version: 535.86.05
    category: x11-drivers-5.15
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.15.160
    original.package.version: 535.86.05
